import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.Extras.Browser 0.1


MainView {
    objectName: "mainView"
    applicationName: "com.ubuntu.developer.daker.x-type"
    //automaticOrientation: true

    width: units.gu(50)
    height: units.gu(75)

    UbuntuWebView {
        anchors.fill: parent
		id: webview
        url: "http://m.slashdot.org/"

        tools: ToolbarItems {
		back: Button {
		    anchors.centerIn: parent
			action: Action {
			    text: i18n.tr("Back")
				iconSource: Qt.resolvedUrl('image://theme/go-previous')
				    onTriggered: {
					    // webview.url =
				    }
				}
            }
		}
        /* This function is used to override the UA */
        function getUAString(url) {
            return "Mozilla/5.0 (iPhone; CPU iPhone OS 5_0 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A334 Safari/7534.48.3"
        }
    }
}
